import networkx as nx
import math
import string


def save_selected_node(filename,infected_nodes):
    f=open(filename,'w')
    f.write(str(infected_nodes[0]))

    for i in range(1,len(infected_nodes)):
        f.write('\n')
        f.write(str(infected_nodes[i]))
    f.close()

def save_cost_time(filename, algorithm,cost_time):
    f=open(filename,'w')
    f.write('the cost time of %s is %f\n' % (algorithm, cost_time))
    f.close()

def read_infected_node(filename):
    infected_set=[]
    f=open(filename,'r')
    lines=f.readlines()
    for line in lines:
        infected_set.append(int(line))
    f.close()
    return infected_set

def create_undirected_graph_IC(filename):
    g=nx.Graph()
    
    f=open(filename,'r')
    lines=f.readlines()
    for line in lines:
        [node1, node2, weight]=line.split()
        index1=int(node1)
        index2=int(node2)
        weight=eval(weight)
        g.add_edge(index1,index2,weight=weight) 
    
    #for n,nbrs in g.adjacency_iter():
        #for nbr, weight in nbrs.items():
            #print("%d,%d,%d" %(n,nbr,weight['weight']))
            #a=1        
    f.close()
    #print len(lines)    
    return g

def main():
    #filename='edgelist'
    create_undirected_graph(filename)

if __name__=='__main__':
    main()
